//======================================================================/
// CApp.cp
// 
// 
// 
//======================================================================/

#include <TransSkel++.h>
#include "gui.h"
#include "CApp.h"
#include "CAppleMenu.h"
#include "CFileMenu.h"
#include "CEditMenu.h"
#include "CAboutDialog.h"


//----------------------------------------------------------------------/
// CApp
// 
// constructor
//----------------------------------------------------------------------/

CApp::CApp( SkelInitParamsPtr params ) : CApplication( params )
{
   InitMenus();
   InitWindows();
   InitDialogs();
}


//----------------------------------------------------------------------/
// ~CApp
// 
// destructor
//----------------------------------------------------------------------/

CApp::~CApp()
{
   DeleteDialogs();
   DeleteWindows();
   DeleteMenus();
}


//----------------------------------------------------------------------/
// doMenuHook
// 
// Dim the close item in the file menu if there is no frontmost window.
//----------------------------------------------------------------------/

void 
CApp::doMenuHook()
{
  if ( FrontWindow() ){
     EnableItem( fileMenu->GetMenuHandle(), CloseItem );
     }
  else{
     /* No window open */
     DisableItem( fileMenu->GetMenuHandle(), CloseItem );
     }
}


//----------------------------------------------------------------------/
//        These Init and Delete methods are private to CApp.
//----------------------------------------------------------------------/

void 
CApp::InitMenus()
{
   appleMenu = new C_AppleMenu( "\pAbout\311" );
   fileMenu  = new CFileMenu( fileMenuID );
   editMenu  = new CEditMenu( editMenuID );
   
   DrawMenuBar();
}


void 
CApp::InitWindows()
{
}

void 
CApp::InitDialogs()
{
   aboutDialog = new CAboutDialog( aboutDialogID );
}

void 
CApp::DeleteMenus()
{
   delete editMenu;
   delete fileMenu;
   delete appleMenu;
}

void 
CApp::DeleteWindows()
{
}

void 
CApp::DeleteDialogs()
{
   delete aboutDialog;
}


//34567890123456789012345678901234567890123456789012345678901234567890123
//       1         2         3         4         5         6         7
